image: amsdard/phalcon:3.x

before_script:
  - bash ci/os_preparation.sh > /dev/null

stages:
  - deploy_beta
  - deploy_prod

deploy_job_beta:
  stage: deploy_beta
  script:
    - bash ci/deploy_beta.sh > /dev/null
  only:
    - master
    - triggers

deploy_job_prod:
  stage: deploy_prod
  script:
    - bash ci/deploy_prod.sh > /dev/null
  only:
    - tags
    - triggers